Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory
Interface InitializingBean

All Known Implementing Classes:
  AbstractDataFieldMaxValueIncrementer, AbstractEntityManagerFactoryBean, AbstractFactoryBean, AbstractJasperReportsSingleFormatView, AbstractJasperReportsView, AbstractJmsListeningContainer, AbstractMessageListenerContainer, AbstractPollingMessageListenerContainer, AbstractRemoteSlsbInvokerInterceptor, AbstractRequestLoggingFilter, AbstractRoutingDataSource, AbstractSequenceMaxValueIncrementer, AbstractSessionFactoryBean, AbstractSingletonProxyFactoryBean, AbstractSlsbInvokerInterceptor, AbstractTemplateView, AbstractUrlBasedView, AnnotationSessionFactoryBean, AttributesJmxAttributeSource, AttributesTransactionAttributeSource, BatchSqlUpdate, BeanConfigurerSupport, BurlapClientInterceptor, BurlapProxyFactoryBean, BurlapServiceExporter, CciDaoSupport, CciLocalTransactionManager, CharacterEncodingFilter, CommonsLogFactoryBean, CommonsRequestLoggingFilter, ConfigurableJasperReportsView, ConfigurableMimeFileTypeMap, ConnectionSpecConnectionFactoryAdapter, ConnectorServerFactoryBean, CronTriggerBean, DaoSupport, DatabaseStartupValidator, DataSourceTransactionManager, DB2SequenceMaxValueIncrementer, DefaultMessageListenerContainer, DefaultMessageListenerContainer102, DefaultPersistenceUnitManager, DelegatingConnectionFactory, DelegatingConnectionFactory, DelegatingDataSource, DelegatingFilterProxy, EhCacheFactoryBean, EhCacheManagerFactoryBean, EisOperation, EventPublicationInterceptor, FieldRetrievingFactoryBean, FilterDefinitionFactoryBean, FreeMarkerConfigurationFactoryBean, FreeMarkerConfigurer, FreeMarkerView, GenericFilterBean, HessianClientInterceptor, HessianProxyFactoryBean, HessianServiceExporter, HibernateAccessor, HibernateAccessor, HibernateDaoSupport, HibernateDaoSupport, HibernateInterceptor, HibernateInterceptor, HibernateTemplate, HibernateTemplate, HibernateTransactionManager, HibernateTransactionManager, HsqlMaxValueIncrementer, HttpInvokerClientInterceptor, HttpInvokerProxyFactoryBean, HttpInvokerServiceExporter, InterfaceBasedMBeanInfoAssembler, InternalResourceView, IsolationLevelDataSourceAdapter, IsolationLevelDataSourceRouter, JasperReportsCsvView, JasperReportsHtmlView, JasperReportsMultiFormatView, JasperReportsPdfView, JasperReportsXlsView, JaxRpcPortClientInterceptor, JaxRpcPortProxyFactoryBean, JdbcAccessor, JdbcDaoSupport, JdbcTemplate, JdoAccessor, JdoDaoSupport, JdoInterceptor, JdoTemplate, JdoTransactionManager, JmsAccessor, JmsDestinationAccessor, JmsGatewaySupport, JmsInvokerClientInterceptor, JmsInvokerProxyFactoryBean, JmsInvokerServiceExporter, JmsTemplate, JmsTemplate102, JmsTransactionManager, JmsTransactionManager102, JndiObjectFactoryBean, JndiObjectLocator, JndiObjectTargetSource, JndiRmiClientInterceptor, JndiRmiProxyFactoryBean, JndiRmiServiceExporter, JobDetailBean, JpaAccessor, JpaDaoSupport, JpaInterceptor, JpaTemplate, JpaTransactionManager, JstlView, JtaTransactionManager, KeyNamingStrategy, LazyConnectionDataSourceProxy, ListFactoryBean, LocalConnectionFactoryBean, LocalContainerEntityManagerFactoryBean, LocalEntityManagerFactoryBean, LocalJaxRpcServiceFactoryBean, LocalPersistenceManagerFactoryBean, LocalSessionFactoryBean, LocalSessionFactoryBean, LocalSessionFactoryBean, LocalSlsbInvokerInterceptor, LocalStatelessSessionProxyFactoryBean, Log4jNestedDiagnosticContextFilter, MapFactoryBean, MappingCommAreaOperation, MappingRecordOperation, MappingSqlQuery, MappingSqlQueryWithParameters, MBeanClientInterceptor, MBeanExporter, MBeanProxyFactoryBean, MBeanServerConnectionFactoryBean, MBeanServerFactoryBean, MetadataMBeanInfoAssembler, MethodInvokingFactoryBean, MethodInvokingJobDetailFactoryBean, MethodInvokingRunnable, MethodInvokingTimerTaskFactoryBean, MethodMapTransactionAttributeSource, MultipartFilter, MySQLMaxValueIncrementer, NamedParameterJdbcDaoSupport, NotificationListenerBean, ObjectFactoryCreatingFactoryBean, OC4JJtaTransactionManager, OncePerRequestFilter, OpenEntityManagerInViewFilter, OpenPersistenceManagerInViewFilter, OpenSessionInViewFilter, OpenSessionInViewFilter, OpenSessionInViewInterceptor, OpenSessionInViewInterceptor, OracleSequenceMaxValueIncrementer, PersistenceExceptionTranslationInterceptor, PortletWrappingController, PostgreSQLSequenceMaxValueIncrementer, PreferencesPlaceholderConfigurer, PropertiesFactoryBean, PropertiesMethodNameResolver, RdbmsOperation, RedirectView, RemoteInvocationBasedAccessor, RequestContextFilter, ResourceAdapterFactoryBean, ResourceFactoryBean, ResourceMapFactoryBean, RmiClientInterceptor, RmiProxyFactoryBean, RmiRegistryFactoryBean, RmiServiceExporter, ScheduledExecutorFactoryBean, ScheduledExecutorFactoryBean, SchedulerFactoryBean, ServerSessionMessageListenerContainer, ServerSessionMessageListenerContainer102, ServiceLocatorFactoryBean, ServletContextRequestLoggingFilter, ServletWrappingController, SetFactoryBean, SharedEntityManagerBean, SimpleJdbcDaoSupport, SimpleMessageListenerContainer, SimpleMessageListenerContainer102, SimpleRecordOperation, SimpleRemoteSlsbInvokerInterceptor, SimpleRemoteStatelessSessionProxyFactoryBean, SimpleThreadPoolTaskExecutor, SimpleTriggerBean, SingleConnectionFactory, SingleConnectionFactory, SingleConnectionFactory102, SqlCall, SqlFunction, SqlMapClientDaoSupport, SqlMapClientFactoryBean, SqlMapClientTemplate, SqlOperation, SqlQuery, SqlUpdate, StoredProcedure, ThreadPoolTaskExecutor, ThreadPoolTaskExecutor, TilesConfigurer, TilesJstlView, TilesView, TimerFactoryBean, TimerManagerFactoryBean, TimerTaskExecutor, TopLinkAccessor, TopLinkDaoSupport, TopLinkInterceptor, TopLinkTemplate, TopLinkTransactionManager, TransactionAspectSupport, TransactionAwareConnectionFactoryProxy, TransactionAwareDataSourceProxy, TransactionInterceptor, TransactionProxyFactoryBean, TransactionTemplate, TypeDefinitionBean, UpdatableSqlQuery, UrlBasedRemoteAccessor, UserCredentialsConnectionFactoryAdapter, UserCredentialsDataSourceAdapter, VelocityConfigurer, VelocityEngineFactoryBean, VelocityLayoutView, VelocityToolboxView, VelocityView, WebLogicJndiMBeanServerFactoryBean, WebLogicJtaTransactionManager, WebLogicMBeanServerFactoryBean, WebSphereDataSourceAdapter, WebSphereMBeanServerFactoryBean, WorkManagerTaskExecutor, XsltView

    public interface InitializingBean

Interface to be implemented by beans that need to react once all their properties have been set by a BeanFactory: for example, to perform custom initialization, or merely to check that all mandatory properties have been set.

An alternative to implementing InitializingBean is specifying a custom init-method, for example in an XML bean definition. For a list of all bean lifecycle methods, see the BeanFactory javadocs.

Author:
  Rod Johnson
See Also:
  `BeanNameAware`, `BeanFactoryAware`, `BeanFactory`, `AbstractBeanDefinition.getInitMethodName()`, `ApplicationContextAware`

Method Summary
`void` | `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

Method Detail

### afterPropertiesSet

    void afterPropertiesSet()
                            throws Exception

  Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

  This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

  Throws:
    `Exception` - in the event of misconfiguration (such as failure to set an essential property) or if initialization fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.